/*
 File: lr1_sp2.cpp
 Date and Time: Mon Oct 13 18:18:12 2014 
*/
#include "lr1_sp2.h"
using namespace NS_yacco2_T_enum;// enumerate
using namespace NS_yacco2_err_symbols;// error symbols
using namespace NS_yacco2_k_symbols;// lrk 
using namespace NS_yacco2_terminals;// terminals
using namespace NS_yacco2_characters;// rc 
using namespace yacco2;// yacco2 library
using namespace NS_lr1_sp2;// grammar's ns
// first set terminals
fsm_rules_reuse_table_type::fsm_rules_reuse_table_type(){
 no_rules_entries_ = 10;
 per_rule_s_table_[0] =  new Per_rule_s_reuse_table();
 per_rule_s_table_[1] =  new Per_rule_s_reuse_table();
 per_rule_s_table_[2] =  new Per_rule_s_reuse_table();
 per_rule_s_table_[3] =  new Per_rule_s_reuse_table();
 per_rule_s_table_[4] =  new Per_rule_s_reuse_table();
 per_rule_s_table_[5] =  new Per_rule_s_reuse_table();
 per_rule_s_table_[6] =  new Per_rule_s_reuse_table();
 per_rule_s_table_[7] =  new Per_rule_s_reuse_table();
 per_rule_s_table_[8] =  new Per_rule_s_reuse_table();
 per_rule_s_table_[9] =  new Per_rule_s_reuse_table();
}
  Clr1_sp2_fsm::
  Clr1_sp2_fsm()
    :yacco2::CAbs_fsm
      ("lr1_sp2.lex"
      ,"1.0"
      ,"8-oct-96"
      ,true
      ,"test out lr1"
      ,"Mon Oct 13 18:18:12 2014 "
      ,S1_Clr1_sp2_fsm){
    
  }
 
Clr1_sp2_fsm::~Clr1_sp2_fsm(){

  for(int x = 0;x < 10;++x){
   ///delete fsm_rules_reuse_table.per_rule_s_table_[x];
  }
} 

  bool Clr1_sp2_fsm::failed(){
      return false;
  }
  void Clr1_sp2_fsm::op(){
}
int Clr1_sp2_fsm::rhs_to_rules_mapping_[30] = {
 -1
 ,0 // subrule 1 for rule 1
 ,1 // subrule 2 for rule 2
 ,1 // subrule 3 for rule 2
 ,1 // subrule 4 for rule 2
 ,1 // subrule 5 for rule 2
 ,1 // subrule 6 for rule 2
 ,1 // subrule 7 for rule 2
 ,1 // subrule 8 for rule 2
 ,1 // subrule 9 for rule 2
 ,1 // subrule 10 for rule 2
 ,1 // subrule 11 for rule 2
 ,1 // subrule 12 for rule 2
 ,1 // subrule 13 for rule 2
 ,1 // subrule 14 for rule 2
 ,1 // subrule 15 for rule 2
 ,1 // subrule 16 for rule 2
 ,1 // subrule 17 for rule 2
 ,2 // subrule 18 for rule 3
 ,2 // subrule 19 for rule 3
 ,3 // subrule 20 for rule 4
 ,3 // subrule 21 for rule 4
 ,4 // subrule 22 for rule 5
 ,4 // subrule 23 for rule 5
 ,5 // subrule 24 for rule 6
 ,5 // subrule 25 for rule 6
 ,6 // subrule 26 for rule 7
 ,7 // subrule 27 for rule 8
 ,8 // subrule 28 for rule 9
 ,9 // subrule 29 for rule 10
}; 
Rlr1_sp2::Rlr1_sp2(yacco2::Parser* P)
 :CAbs_lr1_sym
  ("Rlr1_sp2",0,Clr1_sp2_fsm::R_Rlr1_sp2_,P,false,false){
}

RS::RS(yacco2::Parser* P)
 :CAbs_lr1_sym
  ("RS",0,Clr1_sp2_fsm::R_RS_,P,false,false){
}

RE::RE(yacco2::Parser* P)
 :CAbs_lr1_sym
  ("RE",0,Clr1_sp2_fsm::R_RE_,P,false,false){
}

RF::RF(yacco2::Parser* P)
 :CAbs_lr1_sym
  ("RF",0,Clr1_sp2_fsm::R_RF_,P,false,false){
}

RG::RG(yacco2::Parser* P)
 :CAbs_lr1_sym
  ("RG",0,Clr1_sp2_fsm::R_RG_,P,false,false){
}

RH::RH(yacco2::Parser* P)
 :CAbs_lr1_sym
  ("RH",0,Clr1_sp2_fsm::R_RH_,P,false,false){
}

RA::RA(yacco2::Parser* P)
 :CAbs_lr1_sym
  ("RA",0,Clr1_sp2_fsm::R_RA_,P,false,false){
}

RB::RB(yacco2::Parser* P)
 :CAbs_lr1_sym
  ("RB",0,Clr1_sp2_fsm::R_RB_,P,false,false){
}

RC::RC(yacco2::Parser* P)
 :CAbs_lr1_sym
  ("RC",0,Clr1_sp2_fsm::R_RC_,P,false,false){
}

RD::RD(yacco2::Parser* P)
 :CAbs_lr1_sym
  ("RD",0,Clr1_sp2_fsm::R_RD_,P,false,false){
}

